Cannot update kernel on LiveUSB stick

Bug #450259 reported by Ernst on 2009-10-13
44
This bug affects 8 people
Affects Status Importance Assigned to Milestone
usb-creator (Ubuntu)
Critical
Unassigned
Karmic
Critical
Unassigned

Bug Description

On USB disks, running update-initramfs and in turn successfully updating the kernel version used by the live image is broken in Karmic. update-initramfs is replaced by /bin/true because the test for a writable filesystem in casper is failing.

http://launchpadlibrarian.net/34140391/fix_disable_initramfs.patch fixes this issue and is pending acceptance into the archive as casper 1.206.

Original report:
Binary package hint: usb-creator

Because I wanted a portable desktop, I used the USB creator in Karmic and made a LiveUSB disk based on a daily image of Karmic.

As I have the persistence option on, I expected I could install all updates, so I could stay up to date. However, when a kernel update was fetched, aptitude failed to install this:
update-initramfs is disabled since running on read-only media

I've read across the bug reports and it seems the LiveUSB has the image as read only and installs all updates on the persistence part of the disk. This does not allow to update the kernel.
However, this behaviour makes me feel I cannot use the LiveUSB disk as a replacement for my desktop: it is not totally up to date, so the bugs available in the current version of the kernel on the LiveUSB cannot be patched by installing the newer vesion.

Therefore, I have a wish: make the image wrtiteable, so th kernel can be updated and thus the LiveUSB stays up to date. Furthermore, this allows the system to update all packages without consuming the space on the persistent part (as old packages can be removed).

Hopefully this can be implemented (although I have no idea if this is possible)

ProblemType: Bug
Architecture: i386
Date: Tue Oct 13 12:43:18 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: usb-creator (not installed)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
SourcePackage: usb-creator
Uname: Linux 2.6.31-13-generic i686

Ernst (ernst-blaauw) wrote :
Evan (ev) wrote :

Something is breaking this in Karmic. There is code in 43disable_updateinitramfs to check for a writable filesystem, but that appears to be broken.

Changed in usb-creator (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Michael Lazarev (milaz) wrote :

Something very similar was also discussed in bug 292159.
The workaround described there makes error message "update-initramfs is disabled since running on read-only media" go away when I'm upgrading, and makes overall upgrade successful, but kernel stays unupdated after that anyway.

Also this bug prevents me from figuring out if the bug 438678 was really fixed.

Evan (ev) wrote :
Changed in usb-creator (Ubuntu Karmic):
importance: High → Critical
status: Confirmed → Fix Committed
Evan (ev) on 2009-10-22
description: updated

Does this patch allow to update the original files, or are updates still
installed in the 'persistant' part of the USB disk?And can I apply this
patch (if it is released) on my existent Karmic USB stick, or do I have to
reinstall?

Thanks for all your help!

On Thu, Oct 22, 2009 at 12:51, Evan Dandrea <email address hidden> wrote:

>
> ** Attachment added: "fix_disable_initramfs.patch"
> http://launchpadlibrarian.net/34140391/fix_disable_initramfs.patch
>
> ** Changed in: usb-creator (Ubuntu Karmic)
> Status: Confirmed => Fix Committed
>
> ** Description changed:
>
> + On USB disks, running update-initramfs and in turn successfully updating
> + the kernel version used by the live image is broken in Karmic. update-
> + initramfs is replaced by /bin/true because the test for a writable
> + filesystem in casper is failing.
> +
> + http://launchpadlibrarian.net/34140391/fix_disable_initramfs.patch fixes
> + this issue and is pending acceptance into the archive as casper 1.206.
> +
> + Original report:
> Binary package hint: usb-creator
>
> Because I wanted a portable desktop, I used the USB creator in Karmic
> and made a LiveUSB disk based on a daily image of Karmic.
>
> As I have the persistence option on, I expected I could install all
> updates, so I could stay up to date. However, when a kernel update was
> fetched, aptitude failed to install this:
> update-initramfs is disabled since running on read-only media
>
> I've read across the bug reports and it seems the LiveUSB has the image
> as read only and installs all updates on the persistence part of the disk.
> This does not allow to update the kernel.
> However, this behaviour makes me feel I cannot use the LiveUSB disk as a
> replacement for my desktop: it is not totally up to date, so the bugs
> available in the current version of the kernel on the LiveUSB cannot be
> patched by installing the newer vesion.
>
> Therefore, I have a wish: make the image wrtiteable, so th kernel can be
> updated and thus the LiveUSB stays up to date. Furthermore, this allows
> the system to update all packages without consuming the space on the
> persistent part (as old packages can be removed).
>
> Hopefully this can be implemented (although I have no idea if this is
> possible)
>
> ProblemType: Bug
> Architecture: i386
> Date: Tue Oct 13 12:43:18 2009
> DistroRelease: Ubuntu 9.10
> NonfreeKernelModules: nvidia
> Package: usb-creator (not installed)
> ProcEnviron:
> - LANGUAGE=
> - PATH=(custom, user)
> - LANG=en_US.UTF-8
> - SHELL=/bin/bash
> + LANGUAGE=
> + PATH=(custom, user)
> + LANG=en_US.UTF-8
> + SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-13.44-generic
> SourcePackage: usb-creator
> Uname: Linux 2.6.31-13-generic i686
>
> --
> Cannot update kernel on LiveUSB stick
> https://bugs.launchpad.net/bugs/450259
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Martin Pitt (pitti) wrote :

Didnt' get autoclosed because the fix is in casper:

casper (1.206) karmic; urgency=low

  * Fix broken /cdrom writable test in 43disable_initramfs
    (LP: #450259).

 -- Evan Dandrea <email address hidden> Thu, 22 Oct 2009 11:49:15 +0100

Changed in usb-creator (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers